/** @file websocket.h
 *  @brief This module
 */

#if !defined(__WEBSOCKET_H__)
#define __WEBSOCKET_H__

/***************************************************************************************************
 * Includes
 **************************************************************************************************/

/***************************************************************************************************
 * Preprocessor Constants and Macros
 **************************************************************************************************/

/***************************************************************************************************
 * Type and Contant Definitions
 **************************************************************************************************/

/***************************************************************************************************
 * Global Variables
 **************************************************************************************************/

/***************************************************************************************************
 * External Function Prototypes
 **************************************************************************************************/

/**
 * @brief Start websocket module
 **/
void websocket_start();

/**
 * @brief Start websocket module
 **/
void websocket_stop();

/**
 * @brief Send mode to websocket client
 **/
void websocket_send_mode(int mode);

#endif /* __WEBSOCKET_H__ */
